Get a catalog category
curl --request GET \
--url https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/catalog/categories/{category} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/catalog/categories/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/catalog/categories/{category}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.giftvoucherbrilliance.co.uk/api/external/v1/tenants/{tenant}/catalog/categories/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 123,
"slug": "<string>",
"title": "<string>",
"sort_order": 123,
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description_html": "<string>",
"image_url": "<string>",
"products": [
{
"id": 123,
"slug": "<string>",
"title": "<string>",
"price": 123,
"sale_price": 123,
"sort_order": 123
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Catalog
Get a catalog category
view_categories permission required.
All successful responses include X-Request-Id and Cache-Control: private, no-store. Requests are limited to 120 per minute.
GET
/
tenants
/
{tenant}
/
catalog
/
categories
/
{category}
Get a catalog category
Authorizations
Bearer token created in the GVB API Access page.
Headers
Must be application/json.
Available options:
application/json Path Parameters
Authorised tenant identifier from the tenant directory.
Catalog category identifier.
Response
Successful response.
Show child attributes
Show child attributes
⌘I